DeleteUserByPlayerID
Delete contacts according to PlayerID.
POST /api/v4/userinfo/delete_user_by_player_id
caution
This operation is irreversible. Once a contact is deleted, all related data (including but not limited to the contact information, tags, custom attributes, preferences) will be deleted. Please verify that the obtained PlayerID is correct before proceeding, or the wrong contact may be deleted.
Request parameters
For more information on the query parameters, see Query parameters.
| Attribute | Data type | Remarks | Description |
|---|---|---|---|
| player_id | string | required | Business-defined unique player ID (up to 20 numeric characters) |
| modify_ts | bigint | required | Timestamp of deletion (in milliseconds) |
Request sample
curl --request POST "https://openapi.smartlink.intlgame.com/api/v4/userinfo/delete_user_by_player_id?gameid=${GAME_ID}&seq=${YOUR_RANDOM_STRING}&sig=${SIGNATURE}&ts=${TS}" \
--header 'Content-Type: application/json' \
--data-raw '{
"player_id": "10121566123443641",
"modify_ts": 1691225447577
}'
Response parameters
| Attribute | Data type | Description |
|---|---|---|
| code | int | Return code |
| msg | string | Return message |
Response sample
{
"code":0,
"msg":"Success",
"seq": "{YOUR_RANDOM_STRING}"
}